Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The Scenario Run ID.

Response

200 - application/json

OK

A ScenarioRunView represents a single run of a Scenario on a Devbox. When completed, the ScenarioRun will contain the final score and output of the run.

id
string
required

ID of the ScenarioRun.

scenario_id
string
required

ID of the Scenario that has been run.

devbox_id
string
required

ID of the Devbox on which the Scenario is running.

state
enum<string>
required

The state of the ScenarioRun.

Available options:
running,
scoring,
scored,
completed,
canceled,
timeout,
failed
metadata
object
required

User defined metadata to attach to the scenario run for organization.

name
string | null

Optional name of ScenarioRun.

benchmark_run_id
string | null

ID of the BenchmarkRun that this Scenario is associated with, if any.

scoring_contract_result
object | null

The scoring result of the ScenarioRun.

start_time_ms
integer<int64>

The time that the scenario started

duration_ms
integer<int64> | null

Duration scenario took to run.

purpose
string | null

Purpose of the ScenarioRun.

environment_variables
object | null

Environment variables used to run the scenario.

secrets_provided
object | null

User secrets used to run the scenario.